---
updatedAt: 2026-05-04T19:18:29.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# List account receipts

Retrieve account's receipts with filter options. The account is parsed from the account authorization token.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Instant payments - Pix payments",
    "description": "API to handle Pix transactions",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    },
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox-cdn.pismolabs.io",
      "description": "Sandbox API server for testing"
    },
    {
      "url": "https://sandbox-cdn.pismolabs.io/inst-pull-pay",
      "description": "Sandbox API server for testing instant pull pay."
    }
  ],
  "tags": [
    {
      "name": "Pix"
    }
  ],
  "components": {
    "parameters": {
      "AfterIdQuery": {
        "in": "query",
        "name": "afterId",
        "description": "Last returned item ID from response. Use this field to return more results.",
        "required": false,
        "schema": {
          "type": "string"
        }
      },
      "AuthHeader": {
        "in": "header",
        "name": "Authorization",
        "required": true,
        "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a <b>401 Unauthorized</b> message.",
        "schema": {
          "type": "string",
          "example": "Bearer eyJhbGci...IUzUx"
        }
      },
      "BeginDateQuery": {
        "name": "beginDate",
        "in": "query",
        "description": "Begin date filter. RFC 3339 format. For example: `2023-04-12T23:20:50.52Z`. \n\nMaximum days allowed between `beginDate` and `endDate` is 30.\n",
        "required": true,
        "schema": {
          "type": "string"
        },
        "example": "2023-04-12T23:20:50.52Z"
      },
      "EndDateQuery": {
        "name": "endDate",
        "in": "query",
        "description": "End date filter. RFC 3339 format. For example: `2023-04-12T23:20:50.52Z`. \n\nMaximum days allowed between `beginDate` and `endDate` is 30.\n",
        "required": true,
        "schema": {
          "type": "string"
        },
        "example": "2023-04-12T23:20:50.52Z"
      },
      "EndToEndIDquery": {
        "name": "endToEndId",
        "in": "query",
        "schema": {
          "type": "string"
        },
        "description": "Transaction end-to-end ID filter. This field is a Brazil Central Bank (BCB) requirement to track all Pix transaction steps.\n",
        "required": true
      },
      "OrderQuery": {
        "name": "order",
        "in": "query",
        "description": "Order to return items: `ASC` = ascending order, `DESC` = descending. Default is `DESC`.\n",
        "schema": {
          "type": "string",
          "enum": [
            "ASC",
            "DESC"
          ]
        }
      },
      "PerPageQuery": {
        "name": "perPage",
        "in": "query",
        "description": "Per page amount (min=1, max=100). Default is `20`.",
        "required": true,
        "schema": {
          "type": "string"
        }
      },
      "ReversalEndToEndIDquery": {
        "name": "reversalEndToEndId",
        "in": "query",
        "description": "Reversal end-to-end ID filter.",
        "schema": {
          "type": "string"
        }
      },
      "TransactionTypeQuery": {
        "name": "type",
        "in": "query",
        "description": "Pix transaction type filter",
        "schema": {
          "type": "string",
          "enum": [
            "PIX-IN",
            "PIX-OUT",
            "PIX-IN-REVERSAL",
            "PIX-OUT-REVERSAL"
          ]
        },
        "example": "PIX-IN"
      }
    },
    "schemas": {
      "AccountNumber": {
        "type": "string",
        "description": "Account number.",
        "maxLength": 20,
        "example": "98765432"
      },
      "Amount": {
        "type": "number",
        "description": "Amount to be transferred.",
        "example": 1050.44
      },
      "Branch": {
        "type": "string",
        "description": "This could be a bank-assigned branch ID or the branch's ISPB number.",
        "maxLength": 4,
        "example": "011"
      },
      "customer.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.PayloadMessage"
            }
          }
        }
      },
      "customer.Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error's code.",
            "example": "EPT0001"
          },
          "details": {
            "$ref": "#/components/schemas/customer.DetailMessage"
          },
          "message": {
            "type": "string",
            "description": "Error's message.",
            "example": "User not found"
          }
        }
      },
      "customer.ExternalMessage": {
        "type": "object",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code.",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Error message.",
            "example": "Generic error"
          }
        }
      },
      "customer.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Parameter field",
            "example": "Query parameter"
          },
          "message": {
            "type": "string",
            "description": "Message about parameter",
            "example": "Generic error"
          }
        }
      },
      "customer.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Payload parameter",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Message about error",
            "example": "Generic error"
          }
        }
      },
      "DiscountValue": {
        "type": "number",
        "description": "Discount value.",
        "example": 0.15
      },
      "DocumentNumber": {
        "type": "string",
        "description": "A government document number, such as a Social Security number (US) or Cadastro de Pessoas Físicas number (Brazil). Must be numeric with 11-14 digits.\n",
        "minLength": 1,
        "maxLength": 14,
        "example": "123412341234"
      },
      "EndToEndID": {
        "type": "string",
        "description": "This field is a Brazil Central Bank (BCB) requirement to track all steps of Pix transactions. \nBasically, there are two steps to a Pix transaction:\n    1. Initialize a transaction \n    2. Confirm a transaction\nThe `end_to_end_id` is sent to the BCB in both steps in order to identify all transaction information. \n",
        "example": "E3030629420200808195101608910248"
      },
      "FineValue": {
        "type": "number",
        "description": "Fine value.",
        "example": 5.15
      },
      "InitialAmount": {
        "type": "string",
        "description": "The initial purchase price amount before charges or withdrawal changes.",
        "example": "10.02"
      },
      "InitiationType": {
        "type": "string",
        "enum": [
          "MANUAL",
          "DICT",
          "STATIC_QRCODE",
          "DYNAMIC_QRCODE",
          "PAYMENT_INITIATOR",
          "AUTOMATIC_PIX",
          "DYNAMIC_PROXIMITY_PIX",
          "STATIC_PROXIMITY_PIX"
        ],
        "maxLength": 20,
        "description": "Initiation type:  \n\n  `MANUAL` - Manually initiated. Key is not used - bank account, bank code, document number, and branch are used for identification.\n\n  `DICT` - Diretorio de Identificadores de Contas de Transacapo (Transaction accounts ID directory). Pix/DICT key is used for identification.\n\n  `STATIC_QRCODE` - Reusable code that contains only the data necessary to complete a transaction. When using static QR Code, the transaction amount must be provided manually.\n\n  `DYNAMIC_QRCODE` - The amount and other details for a dynamic code are included automatically. \n  \n  `PAYMENT_INITIATOR` - Payment provider initiated. A payment initiator is a 3rd party that has obtained authorization from the Central Bank and has an <a href=\"https://www.bcb.gov.br/en/financialstability/open_finance\" target=\"_blank\">Open Finance</a> certification.\n\n  `AUTOMATIC_PIX` - Payment order initiated via automatic PIX.\n  \n  `DYNAMIC_PROXIMITY_PIX` - Dynamic Near Field Communications (NFC) based initiation.\n\n  `STATIC_PROXIMITY_PIX` - Static NFC-based initiation.\n",
        "example": "DICT"
      },
      "InterestValue": {
        "type": "number",
        "description": "Interest value.",
        "example": 20.15
      },
      "Internal": {
        "type": "boolean",
        "description": "Was transaction made between a Pismo organization's accounts? In this case, the instant payment system is not called.",
        "example": false
      },
      "ISPB": {
        "type": "string",
        "description": "<a href=\"https://bank.codes/numero-do-banco/bank/banco-central-do-brasil/\" target=\"_blank\">ISPB (Identifcador do Sistema de Pagamento Brazil)</a> - the Brazilian Payment System ID, an 8-digit value.",
        "maxLength": 8,
        "example": "60701190"
      },
      "LastID": {
        "type": "integer",
        "description": "Last returned item ID. Use this ID to get more results.\n",
        "example": 1602619
      },
      "Name": {
        "type": "string",
        "description": "Name",
        "maxLength": 200,
        "example": "Walter Melon"
      },
      "NextPage": {
        "type": "boolean",
        "description": "Are tbere more results?",
        "example": false
      },
      "PerPage": {
        "type": "integer",
        "description": "Max number of items per page.",
        "example": 10
      },
      "pix.ReceiptAmountCharges": {
        "type": "object",
        "properties": {
          "discount_value": {
            "$ref": "#/components/schemas/DiscountValue"
          },
          "interest_value": {
            "$ref": "#/components/schemas/InterestValue"
          },
          "fine_value": {
            "$ref": "#/components/schemas/FineValue"
          },
          "settled_value": {
            "$ref": "#/components/schemas/SettledValue"
          }
        }
      },
      "pix.ReceiptDebtor": {
        "type": "object",
        "properties": {
          "document_number": {
            "$ref": "#/components/schemas/DocumentNumber"
          },
          "name": {
            "$ref": "#/components/schemas/Name"
          }
        }
      },
      "pix.ReceiptFindResponse": {
        "type": "object",
        "properties": {
          "items": {
            "type": "array",
            "description": "Receipt list",
            "items": {
              "$ref": "#/components/schemas/pix.ReceiptFindResponseItem"
            }
          },
          "last_id": {
            "$ref": "#/components/schemas/LastID"
          },
          "next_page": {
            "$ref": "#/components/schemas/NextPage"
          },
          "per_page": {
            "$ref": "#/components/schemas/PerPage"
          }
        }
      },
      "pix.ReceiptFindResponseItem": {
        "type": "object",
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/Amount"
          },
          "purchase_amount": {
            "$ref": "#/components/schemas/PurchaseAmount"
          },
          "withdraw_amount": {
            "type": "number",
            "description": "Amount to be withdrawn.",
            "example": 100
          },
          "transaction_identification": {
            "type": "string",
            "description": "Creditor generated transaction ID.",
            "example": "d4c38871c8354f0fbe91b3c9c7d5b929"
          },
          "type": {
            "$ref": "#/components/schemas/PixOutType"
          },
          "authorization_datetime": {
            "type": "string",
            "description": "Authorization datetime. RFC 3339 value, i.e., \"2023-04-12T23:20:50.52Z\".",
            "example": "2021-10-11T19:01:43.392Z"
          },
          "charges": {
            "$ref": "#/components/schemas/pix.ReceiptAmountCharges"
          },
          "debtor": {
            "$ref": "#/components/schemas/pix.ReceiptDebtor"
          },
          "description": {
            "type": "string",
            "description": "Description.",
            "example": "Transaction Pix"
          },
          "end_to_end_id": {
            "$ref": "#/components/schemas/EndToEndID"
          },
          "initial_amount": {
            "$ref": "#/components/schemas/InitialAmount"
          },
          "initiation_type": {
            "$ref": "#/components/schemas/InitiationType"
          },
          "transaction_type": {
            "$ref": "#/components/schemas/TransactionType"
          },
          "initiator_document_number": {
            "$ref": "#/components/schemas/DocumentNumber"
          },
          "internal": {
            "$ref": "#/components/schemas/Internal"
          },
          "payee": {
            "$ref": "#/components/schemas/pix.ReceiptPayee"
          },
          "payer": {
            "$ref": "#/components/schemas/pix.ReceiptPayer"
          },
          "qrcode_additional_information": {
            "type": "array",
            "description": "QRCode Additional information. Information generated by payee's participant when transaction is a Dynamic QR Code process.",
            "items": {
              "$ref": "#/components/schemas/pix.ReceiptQRCodeAdditionalInformation"
            }
          },
          "reversal": {
            "$ref": "#/components/schemas/pix.ReceiptReversal"
          },
          "tx_id": {
            "type": "string",
            "description": "Tax ID generated in the static QR Code, intended for the final user's financial reconciliation.",
            "example": "d4c38871c8354f0fbe91b3c9c7d5b929"
          },
          "taxes": {
            "$ref": "#/components/schemas/Taxes"
          }
        }
      },
      "pix.ReceiptPayee": {
        "type": "object",
        "properties": {
          "account_number": {
            "$ref": "#/components/schemas/AccountNumber"
          },
          "branch": {
            "$ref": "#/components/schemas/Branch"
          },
          "document_number": {
            "$ref": "#/components/schemas/DocumentNumber"
          },
          "ispb": {
            "$ref": "#/components/schemas/ISPB"
          },
          "name": {
            "$ref": "#/components/schemas/Name"
          }
        }
      },
      "pix.ReceiptPayer": {
        "type": "object",
        "properties": {
          "account_number": {
            "$ref": "#/components/schemas/AccountNumber"
          },
          "branch": {
            "$ref": "#/components/schemas/Branch"
          },
          "document_number": {
            "$ref": "#/components/schemas/DocumentNumber"
          },
          "ispb": {
            "$ref": "#/components/schemas/ISPB"
          },
          "name": {
            "$ref": "#/components/schemas/Name"
          }
        }
      },
      "pix.ReceiptQRCodeAdditionalInformation": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "description": "QR Code name information.",
            "example": "Discount"
          },
          "value": {
            "type": "string",
            "description": "QR Code value information.",
            "example": "Paying until the 5th, there will be a 10% discount"
          }
        }
      },
      "pix.ReceiptReversal": {
        "type": "object",
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/Amount"
          },
          "authorization_datetime": {
            "type": "string",
            "description": "Reversal authorization datetime. RFC 3339 value, i.e., \"2023-04-12T23:20:50.52Z\".",
            "example": "2021-10-11T19:01:43.392Z"
          },
          "end_to_end_id": {
            "$ref": "#/components/schemas/EndToEndID"
          },
          "reason": {
            "$ref": "#/components/schemas/ReversalReason"
          }
        }
      },
      "PixOutType": {
        "type": "string",
        "description": "Pix transaction type.",
        "enum": [
          "PIX-IN",
          "PIX-OUT",
          "PIX-IN-REVERSAL",
          "PIX-OUT-REVERSAL"
        ],
        "example": "PIX-IN"
      },
      "PurchaseAmount": {
        "type": "number",
        "description": "Purchase price before charges, withdrawal changes, or other changes.",
        "example": 1050.44
      },
      "Records": {
        "type": "object",
        "properties": {
          "tax_type": {
            "$ref": "#/components/schemas/TaxType"
          },
          "amount": {
            "$ref": "#/components/schemas/TaxAmount"
          }
        }
      },
      "ReversalReason": {
        "type": "string",
        "description": "Reversal reason.",
        "enum": [
          "USER_REQUESTED",
          "FRAUD",
          "BANK_ERROR"
        ],
        "example": "USER_REQUESTED"
      },
      "SettledValue": {
        "type": "number",
        "description": "Settlement value. Amount to transfer after all charges have been applied.",
        "example": 10.15
      },
      "TaxAmount": {
        "type": "number",
        "description": "Tax amount. Must be greater than zero.",
        "example": 1050.44
      },
      "Taxes": {
        "type": "object",
        "description": "Only available in the test environment for direct participants. Tax information related to the transaction.\n",
        "properties": {
          "tax_identifier": {
            "$ref": "#/components/schemas/TaxIdentifier"
          },
          "records": {
            "type": "array",
            "description": "Tax record types information. You must pass, at a minimum, 2 objects - at least one with `CBS` tax type and at least one with `IBS` tax type.\n",
            "items": {
              "$ref": "#/components/schemas/Records"
            }
          }
        }
      },
      "TaxIdentifier": {
        "type": "string",
        "description": "Tax identifier, referring to the NFe, NFSe or aggregating tax document. \n\nIn Brazil, NF-e and NFS-e are the two primary types of mandatory electronic invoices (Notas Fiscais) used for tax compliance.\n\n * NF-e (Nota Fiscal Eletrônica): Used for the sale and movement of physical goods or products. It is regulated at the state level by SEFAZ (SEFAZ (Secretaria da Fazenda) is the State Department of Finance in Brazil.) and travels with the goods.\n\n * NFS-e (Nota Fiscal de Serviços Eletrônica): Used for the provision of services (e.g., consulting, repairs, digital subscriptions). It is regulated by individual city governments.\n\nThe value entered must correspond to the tax document used for calculating the IBS and CBS taxes associated with the transaction.\n",
        "example": "IS0435879820240605bcdb1fhn43a",
        "maxLength": 50
      },
      "TaxType": {
        "type": "string",
        "description": "Tax type:\n\n `IBS` = Goods and services tax. A state and municipal tax that unifies and replaces the main subnational consumption taxes (state ICMS and municipal ISS).\n\n`CBS` = Contribution on goods and services. A federal tax that consolidates and replaces previous federal social contributions and taxes (PIS, Cofins, and IPI).\n",
        "example": "IBS",
        "enum": [
          "CBS",
          "IBS"
        ]
      },
      "TransactionType": {
        "type": "string",
        "description": "Type of transaction the QR Code validation generates.\n* `TRANSFER` - Standard immediate transfer payment. \n* `CHANGE` - Occurs when the QR Code validation returns `CHANGE`. For example, the customer buys something and pays more than the product value to receive the difference in cash. \n* `WITHDRAWAL` - Occurs when the QR Code validation returns `WITHDRAWAL` with `withdrawal` object values.\n* `REFUND_AUTOMATIC_PIX` - Total or partial to the PSP payer user within the Automatic Pix MED (Pix return mechanism) scope (only when initiated by a `MANUAL`).\n* `REFUND` = Total or partial refund to the paying user within the scope of MED 2.0, when this refund occurs from the PI Account of the user's PSP who participated in the distribution chain of the resources of the original transaction (only when initiated by a `MANUAL`)\n",
        "enum": [
          "TRANSFER",
          "CHANGE",
          "WITHDRAWAL",
          "REFUND_AUTOMATIC_PIX",
          "REFUND"
        ],
        "example": "TRANSFER"
      }
    }
  },
  "paths": {
    "/pix/v1/pix/receipts": {
      "get": {
        "tags": [
          "Pix"
        ],
        "summary": "List account receipts",
        "description": "Retrieve account's receipts with filter options. The account is parsed from the account authorization token.\n",
        "operationId": "get-receipts",
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthHeader"
          },
          {
            "$ref": "#/components/parameters/PerPageQuery"
          },
          {
            "$ref": "#/components/parameters/BeginDateQuery"
          },
          {
            "$ref": "#/components/parameters/EndDateQuery"
          },
          {
            "$ref": "#/components/parameters/TransactionTypeQuery"
          },
          {
            "$ref": "#/components/parameters/EndToEndIDquery"
          },
          {
            "$ref": "#/components/parameters/ReversalEndToEndIDquery"
          },
          {
            "$ref": "#/components/parameters/OrderQuery"
          },
          {
            "$ref": "#/components/parameters/AfterIdQuery"
          }
        ],
        "responses": {
          "200": {
            "description": "Response Body",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/pix.ReceiptFindResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/customer.Error"
                },
                "examples": {
                  "EPIX0061": {
                    "summary": "Invalid value for query param",
                    "value": {
                      "code": "EPIX0061",
                      "message": "Invalid value for query param"
                    }
                  },
                  "EPIX0062": {
                    "summary": "Invalid value for query param. Date must be RFC3339 format, i.e., \"2023-04-12T23:20:50.52Z\"",
                    "value": {
                      "code": "EPIX0062",
                      "message": "Invalid value for query param. Date must be RFC3339 format"
                    }
                  },
                  "EPIX0063": {
                    "summary": "Invalid value for query param. Date must be RFC3339 format",
                    "value": {
                      "code": "EPIX0063",
                      "message": "Invalid value for query param. Date must be RFC3339 format"
                    }
                  },
                  "EPIX0065": {
                    "summary": "? must be greater than ?",
                    "value": {
                      "code": "EPIX0065",
                      "message": "? must be greater than ?"
                    }
                  },
                  "EPIX0077": {
                    "summary": "query parameter is invalid. Should use the last value of \"last_id\" field",
                    "value": {
                      "code": "EPIX0077",
                      "message": "query parameter is invalid. Should use the last value of \"last_id\" field"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/customer.Error"
                },
                "examples": {
                  "EPIX0009": {
                    "summary": "Missing required header: \"x-tenant\"",
                    "value": {
                      "code": "EPIX0009",
                      "message": "Missing required header: \"x-tenant\""
                    }
                  },
                  "EPIX0010": {
                    "summary": "Invalid account id header: \"x-account-id\"",
                    "value": {
                      "code": "EPIX0010",
                      "message": "Invalid account id header: \"x-account-id\""
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/customer.Error"
                },
                "examples": {
                  "EPIX0135": {
                    "summary": "Receipt not found",
                    "value": {
                      "code": "EPIX0135",
                      "message": "Receipt not found"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/customer.Error"
                },
                "examples": {
                  "EPIX0004": {
                    "summary": "Internal server error",
                    "value": {
                      "code": "EPIX0004",
                      "message": "Internal server error"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```